Subject: Mount Partitions on CDs

From: [email-masked] (Joshua Winsor)
Date: Thu, 24 Jun 1999 11:00:01 -0700

Since the user list wasn't able to give me any help I figured I'd see if
the dev group could

I have some CDRoms which have more than one partition, if I do a pdisk
/dev/scd0 with these disks in the drive I get a list of partitions with
their partition type,  however if I do a 'mount -t ufs -o type=openstep
/dev/scd0 /mnt/cdrom' my machine crashes (I have successfully mounted
other ufs partitions which are on hard disk).  I can mount the hfs
partition by simply doing 'mount -t hfs /dev/scd0 /mnt/cdrom', but the
openstep partition seems to be lost.

Is there anyway to get the CDRom to appear as a normal device or to be
able to get the other partitions off the CDRom so that I could mount
them as a loopback device?